USE [COWS]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[QLFCTN_MPLS_ACTY_TYPE](
	[MPLS_ACTY_TYPE_ID] [tinyint] NOT NULL,
	[QLFCTN_ID] [int] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_QLFCTN_MPLS_ACTY_TYPE] PRIMARY KEY CLUSTERED 
(
	[MPLS_ACTY_TYPE_ID] ASC,
	[QLFCTN_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[QLFCTN_MPLS_ACTY_TYPE] ADD  CONSTRAINT [DF_QLFCTN_MPLS_ACTY_TYPE_getdate]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[QLFCTN_MPLS_ACTY_TYPE]  WITH CHECK ADD  CONSTRAINT [FK01_QLFCTN_MPLS_ACTY_TYPE] FOREIGN KEY([QLFCTN_ID])
REFERENCES [dbo].[LK_QLFCTN] ([QLFCTN_ID])
GO

ALTER TABLE [dbo].[QLFCTN_MPLS_ACTY_TYPE] CHECK CONSTRAINT [FK01_QLFCTN_MPLS_ACTY_TYPE]
GO

ALTER TABLE [dbo].[QLFCTN_MPLS_ACTY_TYPE]  WITH CHECK ADD  CONSTRAINT [FK02_QLFCTN_MPLS_ACTY_TYPE] FOREIGN KEY([MPLS_ACTY_TYPE_ID])
REFERENCES [dbo].[LK_MPLS_ACTY_TYPE] ([MPLS_ACTY_TYPE_ID])
GO

ALTER TABLE [dbo].[QLFCTN_MPLS_ACTY_TYPE] CHECK CONSTRAINT [FK02_QLFCTN_MPLS_ACTY_TYPE]
GO